Package ch.qos.logback.core.joran.event.stax

# Class StaxEventRecorder

java.lang.Object
ch.qos.logback.core.spi.ContextAwareBase
ch.qos.logback.core.joran.event.stax.StaxEventRecorder

All Implemented Interfaces:
  `ContextAware`

public class StaxEventRecorder extends ContextAwareBase

## Field Summary

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

## Constructor Summary

Constructors
Constructor
Description
`StaxEventRecorder(Context context)`

## Method Summary

Modifier and Type
Method
Description
`List<StaxEvent>`
`getEventList()`
`void`
`recordEvents(InputStream inputStream)`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StaxEventRecorder

public StaxEventRecorder(Context context)

## Method Details

### recordEvents

public void recordEvents(InputStream inputStream) throws JoranException

Throws:
  `JoranException`

### getEventList

public List<StaxEvent> getEventList()